Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.expr
Class Single

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.expr.Single

Direct Known Subclasses:
  Case, Cast, Castable, CComm, CDoc, CText, FLWR, Instance, Satisfy, Treat, TypeSwitch, Unary

    public abstract class Single

extends Expr

Abstract single expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary
`Expr` | `expr` Expression list.

Method Summary
`Expr` | `comp(XQContext ctx)` Optimizes and compiles the expression.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`Type` | `returned()` Indicates if an expression returns the specified type.
`boolean` | `uses(Expr.Using u)` Indicates if an expression uses the specified type.

Methods inherited from class org.basex.query.xquery.expr.Expr
`e, i, iter`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### expr

    public Expr expr

  Expression list.

Method Detail

### comp

    public Expr comp(XQContext ctx)
              throws XQException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Specified by:
    `comp` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `XQException` - evaluation exception

### uses

    public boolean uses(Expr.Using u)

  Description copied from class: `Expr`
  Indicates if an expression uses the specified type. Called by the compiler to check if expressions can be reformulated. true is returned by default.

  Overrides:
    `uses` in class `Expr`
  Parameters:
    `u` - using flag
  Returns:
    result of check

### returned

    public Type returned()

  Description copied from class: `Expr`
  Indicates if an expression returns the specified type. Called by the compiler to check if expressions can be reformulated. null is returned by default.

  Overrides:
    `returned` in class `Expr`
  Returns:
    result of check

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Specified by:
    `plan` in class `ExprInfo`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD